Bug 21945 - Update request: HPLIP 3.17.10
Summary: Update request: HPLIP 3.17.10
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, PATCH, validated_update
Depends on:
Blocks:
 
Reported: 2017-10-26 22:51 CEST by Stig-Ørjan Smelror
Modified: 2018-02-23 18:15 CET (History)
10 users (show)

See Also:
Source RPM: hplip
CVE:
Status comment:


Attachments
hplip-disable-hp-upgrade-log-msg.patch (5.84 KB, patch)
2017-10-26 23:50 CEST, Stig-Ørjan Smelror
Details | Diff

Description Stig-Ørjan Smelror 2017-10-26 22:51:42 CEST
As mentioned on #mageia-qa today, I was going to build and test HPLIP with QT5 and add an update request for it.

If necessary, here is my src.rpm that I built in mock and installed.

ftp://kekepower.myftp.org/linux/kekePower/SRPMS/hplip-3.17.10-2.mga6.src.rpm

Included is a patch that removes the "Unable to find hp-upgrade --notify on path" message that shows up in the logs.

Cheers,
Stig
Comment 1 Stig-Ørjan Smelror 2017-10-26 23:50:06 CEST
Created attachment 9757 [details]
hplip-disable-hp-upgrade-log-msg.patch
Stig-Ørjan Smelror 2017-10-26 23:58:54 CEST

Version: 6 => Cauldron
Summary: Update request: HPLIP 3.17.10 MGA6 => Update request: HPLIP 3.17.10
Whiteboard: (none) => MGA6TOO

Comment 2 Marja Van Waes 2017-10-27 19:31:01 CEST
Assigning to all packagers collectively, since there is no registered maintainer for hplip.

Assignee: bugsquad => pkg-bugs
CC: (none) => marja11
Keywords: (none) => PATCH
Source RPM: (none) => hplip

Florian Hubold 2017-11-26 19:59:11 CET

CC: (none) => doktor5000

Comment 3 Florian Hubold 2017-12-02 16:38:03 CET
(In reply to Stig-Ørjan Smelror from comment #0)
> I was going to build and test HPLIP with QT5

Hi Stig, for clarification what is the actual difference between your package and the regular Mageia hplip packages? We already build with --enable-qt5 --disable-qt4 ...

Status: NEW => ASSIGNED
Assignee: pkg-bugs => doktor5000

Comment 4 Stig-Ørjan Smelror 2017-12-02 18:22:58 CET
(In reply to Florian Hubold from comment #3)
> (In reply to Stig-Ørjan Smelror from comment #0)
> > I was going to build and test HPLIP with QT5
> 
> Hi Stig, for clarification what is the actual difference between your
> package and the regular Mageia hplip packages? We already build with
> --enable-qt5 --disable-qt4 ...

Marja,
no difference. It is based on the old spec from an old package.
The only difference is that I mainly built it for MGA5 at the request on the qa-discuss mailing list.

It has successfully built on my MGA6 systems, both real hardware and virtual (vmware).

Cheers,
Stig
Comment 5 Florian Hubold 2017-12-29 19:55:11 CET
Note to self: Seem there are some dependencies missing for python3 packages, at least python3-qtpy does not get automatically installed which seems to be required for hplip-gui.

This is the error message:

# hp-setup
[...]
warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
Comment 6 Florian Hubold 2018-02-07 17:59:28 CET
@QA team:

I'd submit an update candidate for hplip 3.17.10, would that be OK as an update?

mga6 shipped with 3.17.4, and that is insufficient for nearly all HP printers that are currently purchasable (most affordable ones need at least 3.17.7, see https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index )

For some occurences where people already stumbled over this issue:
https://forums.mageia.org/en/viewtopic.php?f=7&t=12261
https://forums.mageia.org/en/viewtopic.php?f=24&t=12107

Assignee: doktor5000 => qa-bugs

Comment 7 Thomas Backlund 2018-02-07 19:57:02 CET
(In reply to Florian Hubold from comment #6)
> @QA team:
> 
> I'd submit an update candidate for hplip 3.17.10, would that be OK as an
> update?
> 


It is.

It goes under "hardware enablement" like kernels and other drivers

Just as long as they dont remove any existing hw support

CC: (none) => tmb

David Walser 2018-02-07 23:51:49 CET

Version: Cauldron => 6
Whiteboard: MGA6TOO => (none)

Comment 8 Marja Van Waes 2018-02-08 09:06:06 CET
I'm not aware of a separate bug report for cauldron, and afaict we don't have this version in cauldron, yet:

$ mgarepo rpmlog hplip
* Thu Oct 12 2017 tv <tv> 3.17.9-3.mga7
+ Revision: 1171288
- requires cups-filters instead of foomatic-filters

So resetting to Cauldron and MGA6TOO

(In reply to Thomas Backlund from comment #7)
> (In reply to Florian Hubold from comment #6)
> > @QA team:
> > 
> > I'd submit an update candidate for hplip 3.17.10, would that be OK as an
> > update?
> > 
> 
> 
> It is.
> 
> It goes under "hardware enablement" like kernels and other drivers
> 
> Just as long as they dont remove any existing hw support


@ Florian

I assume, when you said "I'd submit" instead of "I'd like to submit", that that means you won't have time to do that yourself.

Assigning to pkg-bugs again, because QA team doesn't fix bugs.

Whiteboard: (none) => MGA6TOO
Assignee: qa-bugs => pkg-bugs
Version: 6 => Cauldron
Status: ASSIGNED => NEW

Comment 9 Florian Hubold 2018-02-11 15:53:14 CET
(In reply to Marja van Waes from comment #8)
> I assume, when you said "I'd submit" instead of "I'd like to submit", that
> that means you won't have time to do that yourself.

No, I would submit it, if it's OK as an update, that's what I meant =)
Will submit for cauldron and mga6 and then assign back to qa for the mga6 candidate.

Assignee: pkg-bugs => doktor5000
Status: NEW => ASSIGNED

Comment 10 Florian Hubold 2018-02-13 20:05:01 CET
I've submitted hplip-3.17.10-1 to core/updates_testing (and also to cauldron) which includes the patch from Stig-Ørjan Smelror that removes the "Unable to find hp-upgrade --notify on path" message that shows up in the logs.

It also updates hplip as requested by several people, as the previous 3.17.4 was insufficient for nearly all HP printers that are currently purchasable (most affordable ones need at least 3.17.7, see https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index )


i586
================
hplip-3.17.10-1.mga6.i586
hplip-doc-3.17.10-1.mga6.i586
hplip-gui-3.17.10-1.mga6.i586
hplip-hpijs-3.17.10-1.mga6.i586
hplip-hpijs-ppds-3.17.10-1.mga6.i586
hplip-model-data-3.17.10-1.mga6.i586
libhpip0-3.17.10-1.mga6.i586
libhpip0-devel-3.17.10-1.mga6.i586
libsane-hpaio1-3.17.10-1.mga6.i586

x86_64
================
hplip-3.17.10-1.mga6.x86_64
hplip-doc-3.17.10-1.mga6.x86_64
hplip-gui-3.17.10-1.mga6.x86_64
hplip-hpijs-3.17.10-1.mga6.x86_64
hplip-hpijs-ppds-3.17.10-1.mga6.x86_64
hplip-model-data-3.17.10-1.mga6.x86_64
lib64hpip0-3.17.10-1.mga6.x86_64
lib64hpip0-devel-3.17.10-1.mga6.x86_64
lib64sane-hpaio1-3.17.10-1.mga6.x86_64

src
================
hplip-3.17.10-1.mga6.src

Assignee: doktor5000 => qa-bugs

Thomas Backlund 2018-02-13 20:51:43 CET

Version: Cauldron => 6
Whiteboard: MGA6TOO => (none)

Comment 11 Len Lawrence 2018-02-13 21:33:52 CET
Mageia 6 :: x86_64

Updated the hplip packages.
Used mcc -> hardware to remove resident HP5520 wifi printer and re-install it under hplip.  No problems at all.  Printed a test page.

Installed xsane.  It found the HP5520 and addressed it as hpaio:/net/Photosmart_5520.....
Set scan resolution to 300.  Performed scan and saved the image displayed as a JPEG.  It looked perfect in an image viewer.

OK for 64 bits.

Whiteboard: (none) => MGA6-64-OK
CC: (none) => tarazed25

Comment 12 Len Lawrence 2018-02-13 21:41:20 CET
Re comment 11.  Where are the upgrade logs?  Tried /var/log/hp and found an empty tmp/.  
Also I do not have a later model HP printer.  Anybody with newer models is encouraged to try this update.
Comment 13 David Walser 2018-02-14 00:26:33 CET
Thanks Florian.  You could update Cauldron to 3.17.11, but it doesn't look obviously important for mga6:
https://developers.hp.com/hp-linux-imaging-and-printing/release_notes
Comment 14 Thomas Andrews 2018-02-14 17:53:47 CET
Tried this on a 32-bit Xfce system that had not yet even had system-config-printer installed. After using mcc to install that and related packages, I updated these packages before installing my printers.

Printers involved: Deskject 5650 with duplexer and Officejet 6110.

Test page printed OK on each printer. Deskjet printed a two-page pdf from the Atril Document Viewer, on both sides of the paper using the duplexer. Scanned a photo with Simple Scan and printed it with the Officejet.

Looks OK with this hardware, but like Len I do not have a later model printer.

Whiteboard: MGA6-64-OK => MGA6-64-OK MGA6-32-OK
CC: (none) => andrewsfarm

Comment 15 Florian Hubold 2018-02-14 19:21:38 CET
(In reply to Len Lawrence from comment #12)
> Re comment 11.  Where are the upgrade logs?  Tried /var/log/hp and found an
> empty tmp/.

What upgrade logs?

(In reply to David Walser from comment #13)
> Thanks Florian.  You could update Cauldron to 3.17.11

Yeah sure, but that also means rediffing most of the patches, only had time to submit it yesterday, if I find the time will take a look for a further update.


Apart from that, I've asked in the forums threads for test results, but one guy only had mga5 when he posted, but maybe we can get some feedback that way.
Comment 16 James Kerr 2018-02-14 19:49:35 CET
The updated packages are also OK for me with HP Envy 4502 on mga6-64

Printing (locally and over the LAN), scanning and HP Device Manager.

Like the previous testers I have nothing newer to test with.

CC: (none) => jim

Comment 17 Len Lawrence 2018-02-15 09:15:31 CET
@Florian, comment 15:

My bad - misremembered this comment from the description:

"Included is a patch that removes the "Unable to find hp-upgrade --notify on path" message that shows up in the logs."

I wondered if this was something which testers should check.
Comment 18 peter winterflood 2018-02-15 09:41:48 CET
tested with hp laserjet color m251n 
no problems.
no new printers top test

mga6 x86_64 classic DVD based Plasma

CC: (none) => peter.winterflood

Comment 19 PC LX 2018-02-15 18:55:05 CET
Installed and tested without issues.

Tested scanning and printing. FAX features not tested.

System: Mageia 6, x86_64, Plasma DE, Intel CPU, nVidia GPU using nvidia340 proprietary driver.
Printer: HP OfficeJet 4658

$ uname -a
Linux marte 4.14.19-desktop-1.mga6 #1 SMP Tue Feb 13 18:03:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | egrep 'hplip|hpip0|hpaio1' | sort
hplip-3.17.10-1.mga6
hplip-gui-3.17.10-1.mga6
hplip-hpijs-3.17.10-1.mga6
hplip-hpijs-ppds-3.17.10-1.mga6
hplip-model-data-3.17.10-1.mga6
lib64hpip0-3.17.10-1.mga6
lib64sane-hpaio1-3.17.10-1.mga6

CC: (none) => mageia

Comment 20 Thomas Andrews 2018-02-19 17:27:58 CET
Validating, even though no testers with newer printers have materialized, since no problems have been reported with older printers. 

Suggested advisory can be compiled from information in Comment 10.

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update

Dave Hodgins 2018-02-22 20:06:21 CET

Keywords: (none) => advisory
CC: (none) => davidwhodgins

Comment 21 Thomas Backlund 2018-02-22 21:07:33 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0034.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED

Comment 22 Mageia Robot 2018-02-23 18:15:21 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0034.html

Note You need to log in before you can comment on or make changes to this bug.